services:
  block_content.uuid_lookup:
    class: \Drupal\block_content\BlockContentUuidLookup
    arguments: ['@cache.bootstrap', '@lock', '@entity_type.manager']
    tags:
      - { name: needs_destruction }
  block_content.bc_subscriber:
    class: Drupal\block_content\Routing\RouteSubscriber
    arguments: ['@entity_type.manager', '@module_handler']
    tags:
      - { name: event_subscriber }
